/*-----------------------------------------------------------------------
Nom du fichier: RBELEVE.h
Auteur: Philippe MARIANO

Projet: PPE Robot suiveur de ligne
Rle: Fichier d'en-tte utilis par la librairie MrLineTiny.lib
Cr le: 25/04/2010
Dernire rvision le: 16/01/2011

Cross compilateur utilis: CodeVisionAVR V2
Composant cible : Atiny26 (Robot MrLineTiny)

Remarque: Ce fichier est destin  un projet CVAVR V2 utilisant le
Robot MrLineTiny. Il doit tre plac dans le rpertoire du projet
------------------------------------------------------------------------*/

#ifndef _RBELEVE_INCLUDED
#define _RBELEVE_INCLUDED
//-----------------------------------------------------------------------------------------------------
// Connexions des LED Visu et IR au port A  
//-----------------------------------------------------------------------------------------------------                             
// Del_D    relie  PA3 (D1)     E_D_IR    relie     PAO  (DIR1)
// Del_C    relie  PA4 (D2)     E_C_IR    relie     PA1  (DIR2)
// Del_G    relie  PA5 (D3)     E_G_IR    relie     PA2  (DIR3)

// Mots de commande des LED Visu   (-  =>  Del teinte     * => Del claire)
//-----------------------------------------------------------------------------------------------------
// Etat des Dels de visualisation
//-----------------------------------------------------------------------------------------------------
//                                              Del_G   | Del_C | Del_D  VisuPosition(16)     Remarque
//-----------------------------------------------------------------------------------------------------
#define Visu_Hors_ligne         0b00111111      // off  | off   | off          3F               - - - 
#define Visu_Droite_Plus        0b00011111      // on   | off   | off          1F               * - -
#define Visu_Centre1            0b00101111      // off  | on    | off          2F               - * -
#define Visu_Droite             0b00001111      // on   | on    | off          0F               * * -
#define Visu_Gauche_Plus        0b00110111      // off  | off   | on           37               - - * 
#define Visu_Centre2            0b00010111      // on   | off   | on           17               * - *
#define Visu_Gauche             0b00100111      // off  | on    | on           27               - * *
#define Visu_Centre3            0b00000111      // on   | on    | on           07               * * *
//----------------------------------------------------------------------------------------------------- 
// Valeurs reprsentatives du rapport cyclique du signal 
// de commande des moteurs (OC1A et OC1B non inverss)
//----------------------------------------------------------------------------------------------------- 
#define _0PC	 255		        // 0%  
#define _10PC	 230                // 10%
#define _20PC    204		        // 20%
#define _30PC    179		        // 30% 
#define _40PC    153		        // 40%
#define _50PC    128                // 50% 
#define _60PC    102                // 60%
#define _70PC    77                 // 70%
#define _80PC    51                 // 80%      
#define _90PC    26                 // 90% 
//----------------------------------------------------------------------------------------------------- 
#endif
